﻿/*
# Apprendre à programmer en ActionScript 3
# A. Tasso
# Chapitre 9 : Les principes du concept objet
# Exemple : L'héritage
# Fichier : unSonSurLaPhoto.fla
# Classe :  Personne.as 
*/



//Définition de la classe Personne
package {
	// importer la classe Sprite et Loader
	import flash.display.*;
	// Importer la classe MouseEvent
	import flash.events.*;
	// Pour charger la classe URLRequest
	import flash.net.URLRequest;



	// Définition de la classe Personne
	public class Fiche extends Sprite {
		// Définition des attributs de la classe
		
		public var photo:Loader;
		private var laFiche:FicheClp;
		// Définition de la fonction constructeur 
		public function Fiche( np:String, nn:String, na:String, nr:String, nv:String, nt:String,nc:String, nu:String) {
			laFiche = new FicheClp();
			addChild(laFiche);
			buttonMode=true;
			setNom(nn);
			setPrenom(np);
			setTelephone(nt);
			setDateNaissance(na);
			setAdresse(nr, nv);
			setCourriel(nc);
			setPhoto(nu);
			
		}

		
		//  Méthode d’accès en écriture (set)
		public function setPhoto(url:String):void {
			photo= new Loader();
			photo.load(new URLRequest("../"+url));
			photo.contentLoaderInfo.addEventListener(Event.COMPLETE, auComplet);
		}
		private function auComplet(evt:Event):void {
			laFiche.photo.addChild(photo);
		
		}
		//  Modifier le prénom
		public function setPrenom(np:String):void {
			laFiche.prenom.text = np;
		}
		// Modifier le nom
		public function setNom(nn:String):void {
			laFiche.nom.text = nn;
		}
		public function setTelephone(nt:String):void {
			laFiche.telephone.text = nt;
		}
		public function setAdresse(nr:String, nv:String ):void {
	
			laFiche.adresse.text = nr + "\n" + nv;
		}
		public function setCourriel(nc:String):void {

			laFiche.courriel.text = nc;
		}
		
		public function setDateNaissance(na:String):void {
			laFiche.anniversaire.text = na;
		}
	}
}